@charset "utf-8";

/*內頁關於我們*/
.a_layout{
    position: relative;
    max-width: 1000px;
    margin: 0 auto;
}

.a_layout .a-1{
    display:flex;
    margin-top: 50px;
}

.a_layout .a-1 .col{
    width: 50%;
}

.a_layout .a-1 .col.txt{
    width: 55%;
    padding-left: 20px;
}


.a_layout .a-1 .col.txt .text-box{
    background: #fff;
    color: #333333;
    font-size: 15px;
    padding: 35px 35px;
    margin-bottom: 18px;
    line-height: 1.7;
}

.a_layout .a-1 .col.txt .text-box h3{
    margin: 0;
    margin-bottom: 10px;
    color: #B27F46;
    font-size: 20px;
    font-weight: normal;
    letter-spacing: 2px;
}

.a_layout .a-1 .col.txt .row{
    display: flex;
        justify-content: center;
        margin: 0 -10px;
}


.a_layout .a-1 .col.txt .row img{
    width: 50%;
    padding: 0 10px;
}

.a_layout .a-2 {
    margin-top: 50px;
}

.a_layout .a-2  .s_layout {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.a_layout .a-2 .s_layout .s_box {
    padding: 0;
    text-align: center;
}

.a_layout .a-2 .s_layout .s_item + .s_item{
    margin-left: 15px;
}

.a_layout .a-2 .s_layout .s_pic {
    width: 130px;
    height: 130px;
    border-radius: 0;
}

@media screen and (max-width: 1280px){

    .a_layout .a-1 .col.txt .row {
        display: flex;
        justify-content: center;
        margin: 0;
    }

    .a_layout .a-1 .col.txt .row img {
        width: 50%;
        padding: 0;
    }

    
}

@media screen and (max-width: 1200px){

    .a_layout {
        position: relative;
        max-width: 473px;
        margin: 0 auto;
    }

    .a_layout .a-1 {
        display: flex;
        margin-top: 30px;
        flex-direction: column;
        align-items: center;
    }

    .a_layout .a-1 .col {
        width: 100%;
    }

    .a_layout .a-1 .col.txt {
        width: 100%;
        padding-left: 0;
    }

    .a_layout .a-2 .s_layout .s_item + .s_item {
        margin-left: 0;
    }

    .a_layout .a-2 .s_layout .s_box .s_text {
        
        margin-top: 5px;
    }


    .a_layout .a-2 .s_layout .s_item{
        margin-bottom: 20px;
    }
}

@media screen and (max-width: 484px){
    .a_layout .a-2 .s_layout .s_item {
        margin-bottom: 20px;
        width: 50%;
        text-align: center;
        
    }

    .a_layout .a-2 .s_layout .s_pic {
        
        margin: 0 auto;
    }

    .a_layout .a-1 .col.txt .text-box h3 {
        
        font-size: 18px;
        font-weight: normal;
        letter-spacing: 2px;
    }
}

/*內頁關於我們*/

/*首頁服務項目*/

.s_layout{
    display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
}

.s_layout  .s_box{
    padding: 20px;
    transition: all 0.3s ease;
    top: 0px;
    position: relative;
}

.s_layout  .s_box:hover{
    top: -5px;
}

.s_layout .s_pic {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    background: #FFFFFF;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background 0.3s ease;
    overflow: hidden;
}

.s_layout .s_box:hover .s_pic {
    background: #B28046;
}

.s_layout .s_pic span {
    
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative; /* 確保 img 以 span 為基準 */
}

.s_layout .s_pic img {
    width: 100%;
    height: 100%;
    object-fit: contain; /* 確保圖片完整顯示 */
    transition: transform 0.6s ease;
}

.s_layout .s_pic .s_pic1 {
    display: block;
    transform: rotateY(0deg);
}

.s_layout .s_pic .s_pic2 {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transform: rotateY(180deg);
}

.s_layout .s_box:hover .s_pic .s_pic1 {
    transform: rotateY(360deg);
    opacity: 0;
}

.s_layout .s_box:hover .s_pic .s_pic2 {
    transform: rotateY(360deg);
    opacity: 1;
}

.s_layout .s_box .s_text{
    color: #333333;
    font-size: 20px;
    letter-spacing: 3px;
    margin-top: 16px;
}

@media screen and (max-width: 1280px){
    .service-sect .s_layout {
        max-width: 700px;
        margin: 0 auto;
    }
}

@media screen and (max-width: 767px){
    .service-sect .s_layout {
        max-width: 280px;
        margin: 0 auto;
    }

    .service-sect .s_layout  .s_item{
        width: 50%;
        text-align: center;
        margin: 0 auto;
        display: flex;
        justify-content: center;
    }
    .service-sect .s_layout .s_pic {
        width: 120px;
        height: 120px;
    }
    .service-sect  .s_layout .s_box {
        padding: 0 10px 15px;
    }
}
 

/*首頁服務項目*/

/*footer*/
.ic_mail{
    display: inline-block;
    vertical-align: text-bottom;
    background: url(../../../images/layout01/common/siteinfo_mail_ic.png) no-repeat;
    width: 23px;
    height: 17px;
    margin-right: 8px;
}
.ic_fax{
    display: inline-block;
    vertical-align: text-bottom;
    background: url(../../../images/layout01/common/siteinfo_fax_ic.png) no-repeat;
    width: 23px;
    height: 24px;
    margin-right: 8px;  
}
.ic_add{
     display: inline-block;
    vertical-align: text-bottom;
    background: url(../../../images/layout01/common/siteinfo_add_ic.png) no-repeat;
    width: 23px;
    height: 24px;
    margin-right: 8px;
}
.site-info .ic-envelope{
    font-size: 18px;
    width: 20px;
    color: #159575;
    margin-right: 5px;
    position: relative;
    top: 2px;
    display: inline-block;
}
.site-info .ic-fax{
    font-size: 18px;
    width: 20px;
    color: #159575;
    margin-right: 5px;
    position: relative;
    top: 2px;
    display: inline-block;
}
.site-info .ic-map-marker{
    font-size: 21px;
    width: 20px;
    color: #159575;
    margin-right: 5px;
    text-align: center;
    position: relative;
    top: 3px;
    display: inline-block;
}
/*------------ about-editor ------------*/
.row_{
    display: flex;
}
.about-editor .row_1{
    justify-content: space-between;
    align-items: flex-start; 
    margin-bottom: 70px;
}
.about-editor .about-title{
    color: #262626;
    font-size: 29px;
    font-family:Roboto;
    font-weight: 300;
    margin: 0;
}
.about-editor .about-title:after{
    content: '';
    background: #4F4F4F;
    height: 1px;
    width: 60px;
    display: block;
    margin-top: 20px;
    margin-bottom: 0;
}
.about-editor .row_2{
    margin-top: 40px;
}
.about-editor .row_2 .col{
    flex-basis:  50%;
    position: relative;
}
.about-editor .row_2 .txt_box{
    margin-top: 65px;
    border:solid 1px #4F4F4F;
    display: block;
    padding:50px;
    position: relative;
    margin-right: -100px;
    color: #000000;
    box-sizing: border-box;
}
.as_title{
    margin-bottom: 10px;
}
.as_txt{
    line-height: 2;
    padding-left: 35px;
}
.about-editor .row_2 .col1:after{
    content: '';
    display: block;
    position: absolute;
    width: 126px;
    background: #fff;
    height: 65px;
    right: -100px;
    bottom: 0;
    z-index: 3;
}
.about-editor .row_2 .col2{
    position: relative;
    z-index: 4;
    text-align: center;
}
.about-editor .row_3{
    align-items: flex-end;
}
.about-editor .row_3 .col{
    flex-basis:  50%;
}
.about-editor .row_3 .txt_box{
    margin-top: -65px;
    border:solid 1px #4F4F4F;
    display: block;
    padding:115px 50px 50px;
    position: relative;
    margin-left: -26px;
    color: #000000;
}
/*------------ service-editor ------------*/
.s_title{
    color: #FFFFFF;
    margin-bottom: 15px;
}
.s_txt{
    color: #ACACAC;
    margin-bottom: 40px;
}
.s_txt:last-child{
    margin-bottom: 0px;
}
.service-editor .row_{
    margin-bottom: 40px;
}
.service-editor .row_ .col1{
    width: 40%;
}
.service-editor .row_ .col2{
    width: 60%;
    padding:0px 30px;
}
/*------------ contact-editor ------------*/
.contact-editor{
    padding: 0 2%;
}
.contact-editor .col{
    float: left;
    padding: 0 2%;
}
.contact-editor .col1{
    width: 48%;
}
.contact-editor .col2{
    width: 52%;
}
.contact-map{
    box-shadow: 0 0 4px 0 rgba(0,0,0,0.25);
    border: 8px solid #fff;
}
.contact-map iframe{
    display: block;
    max-height: 100%;
}
.contact-info-list{
    color: #555;
    font-size: 14px;
    list-style-type: none;
    padding: 0;
    margin: 0;
}
.contact-info-list li{
    position: relative;
    padding: 2px 0 2px 40px;
    margin: 8px 0;
    line-height: 25px;
}

.contact-info-list li.tel:before{
    font-family: 'icon-font' !important;
    content: "\ff001";
    font-size: 21px;
    position: absolute;
    left: 9px;
    top: 3px;
    color: #B28146;
}
.contact-info-list li.fax:before{
    font-family: 'icon-font' !important;
    content: "\ff002";
    font-size: 21px;
    position: absolute;
    left: 9px;
    top: 3px;
    color: #B28146;
}
.contact-info-list li.mail:before{
    font-family: 'icon-font' !important;
    content: "\ff003";
    font-size: 21px;
    position: absolute;
    left: 9px;
    top: 3px;
    color: #B28146;
}
.contact-info-list li.addr:before{
    font-family: 'icon-font' !important;
    content: "\ff004";
    font-size: 24px;
    position: absolute;
    left: 13px;
    top: 3px;
    color: #B28146;
}
/*------------ video-editor ------------*/
.video-editor .pic{
    float: left;
    margin-right: 25px;
}
/*------------ terms-editor ------------*/
.terms-editor{
    font-size: 15px;
    line-height: 2;
    /*max-width: 1045px;*/
    margin: 0 auto;
}
.terms-editor .title{
    color: #B28146;
    font-size: 16px;
    margin: 0;
    font-weight: 500;
}
.terms-editor p{
    text-indent: 0em;
    margin: 0 0 50px;
}
.terms-editor .row{
    margin: 0 -27px;
}
.terms-editor .col{
    padding: 0 27px;
    width: 50%;
    float: left;
    box-sizing: border-box;
}
/*------------ index-editor ------------*/
/*------------ rwd ------------*/
@media screen and (max-width: 1280px){
 .about-editor .row_2 .txt_box{
    padding:50px 90px 50px 50px;
 }
}
@media screen and (max-width: 1000px){
    .row_{
        display: block;
    }
    .about-editor .row_1 .col{
        margin-bottom: 20px;
    }
    .about-editor .row_1{
        margin-bottom: 40px;
    }
    .about-editor .row_2{
        margin-top: 20px;
    }
    .about-editor .row_2 .col1:after{
        display: none;
    }
    .about-editor .row_2 .col,.about-editor .row_3 .col{
        margin-bottom: 20px;
    }
    .about-editor .row_2 .txt_box,.about-editor .row_3 .txt_box{
        padding:0px;
        border:none;
        margin-right: 0px;
        margin-left: 0;
        margin-top: 0;
    }
    .about-editor .row_2 .col2{
        text-align: left;
    }
    .index-about-editor{
      
    }
    .service-editor .row_ .col2,.service-editor .row_ .col1{
        width: 100%;
        margin-bottom: 20px;
    }
    .service-editor .row_ .col2{
        padding: 0
    }
    .contact-editor{
        padding: 0 2%;
    }
    .contact-editor .col{
        width: 100%;
        padding: 0;
    }
    .contact-map{
        height: 300px;
        margin-bottom: 1.8em;
    }
}
@media screen and (max-width: 767px){
    .terms-editor .row{
        margin: 0;
    }
    .terms-editor .col{
        padding: 0;
        width: 100%;
    }
     .contact-map{
        height: 200px;
    }
}
